import React from 'react';
import AccordionBody from './AccordionBody';
import AccordionButton from './AccordionButton';
import AccordionCollapse from './AccordionCollapse';
import AccordionHeader from './AccordionHeader';
import AccordionItem from './AccordionItem';
import { BsPrefixPropsWithChildren, BsPrefixRefForwardingComponent, SelectCallback } from './helpers';
export interface AccordionProps extends Omit<React.HTMLAttributes<HTMLElement>, 'onSelect'>, BsPrefixPropsWithChildren {
    activeKey?: string;
    defaultActiveKey?: string;
    onSelect?: SelectCallback;
    flush?: boolean;
}
declare type Accordion = BsPrefixRefForwardingComponent<'div', AccordionProps> & {
    Button: typeof AccordionButton;
    Collapse: typeof AccordionCollapse;
    Item: typeof AccordionItem;
    Header: typeof AccordionHeader;
    Body: typeof AccordionBody;
};
declare const Accordion: Accordion;
export default Accordion;
