import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import classNames from 'classnames';
import React, { useContext } from 'react';
import { useBootstrapPrefix } from './ThemeProvider';
import AccordionCollapse from './AccordionCollapse';
import AccordionItemContext from './AccordionItemContext';
var AccordionBody = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var _ref$as = _ref.as,
      Component = _ref$as === void 0 ? 'div' : _ref$as,
      bsPrefix = _ref.bsPrefix,
      className = _ref.className,
      props = _objectWithoutPropertiesLoose(_ref, ["as", "bsPrefix", "className"]);

  bsPrefix = useBootstrapPrefix(bsPrefix, 'accordion-body');

  var _useContext = useContext(AccordionItemContext),
      eventKey = _useContext.eventKey;

  return /*#__PURE__*/React.createElement(AccordionCollapse, {
    eventKey: eventKey
  }, /*#__PURE__*/React.createElement(Component, _extends({
    ref: ref
  }, props, {
    className: classNames(className, bsPrefix)
  })));
});
AccordionBody.displayName = 'AccordionBody';
export default AccordionBody;