import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import classNames from 'classnames';
import React, { useMemo } from 'react';
import { useBootstrapPrefix } from './ThemeProvider';
import AccordionItemContext from './AccordionItemContext';
var AccordionItem = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var _ref$as = _ref.as,
      Component = _ref$as === void 0 ? 'div' : _ref$as,
      bsPrefix = _ref.bsPrefix,
      className = _ref.className,
      eventKey = _ref.eventKey,
      props = _objectWithoutPropertiesLoose(_ref, ["as", "bsPrefix", "className", "eventKey"]);

  bsPrefix = useBootstrapPrefix(bsPrefix, 'accordion-item');
  var contextValue = useMemo(function () {
    return {
      eventKey: eventKey
    };
  }, [eventKey]);
  return /*#__PURE__*/React.createElement(AccordionItemContext.Provider, {
    value: contextValue
  }, /*#__PURE__*/React.createElement(Component, _extends({
    ref: ref
  }, props, {
    className: classNames(className, bsPrefix)
  })));
});
AccordionItem.displayName = 'AccordionItem';
export default AccordionItem;