import React from 'react';
import FormCheck from './FormCheck';
import FormControl from './FormControl';
import FormGroup from './FormGroup';
import FormLabel from './FormLabel';
import FormRange from './FormRange';
import FormSelect from './FormSelect';
import FormText from './FormText';
import Switch from './Switch';
import { AsProp } from './helpers';
export interface FormProps extends React.HTMLAttributes<HTMLFormElement>, AsProp {
    validated?: boolean;
}
declare type Form = React.ForwardRefExoticComponent<FormProps & React.RefAttributes<HTMLElement>> & {
    Group: typeof FormGroup;
    Control: typeof FormControl;
    Check: typeof FormCheck;
    Switch: typeof Switch;
    Label: typeof FormLabel;
    Text: typeof FormText;
    Range: typeof FormRange;
    Select: typeof FormSelect;
};
declare const FormImpl: Form;
export default FormImpl;
