import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import classNames from 'classnames';
import React from 'react';
import { useBootstrapPrefix } from './ThemeProvider';
var FormSelect = /*#__PURE__*/React.forwardRef(function (_ref, ref) {
  var bsPrefix = _ref.bsPrefix,
      size = _ref.size,
      htmlSize = _ref.htmlSize,
      className = _ref.className,
      _ref$isValid = _ref.isValid,
      isValid = _ref$isValid === void 0 ? false : _ref$isValid,
      _ref$isInvalid = _ref.isInvalid,
      isInvalid = _ref$isInvalid === void 0 ? false : _ref$isInvalid,
      props = _objectWithoutPropertiesLoose(_ref, ["bsPrefix", "size", "htmlSize", "className", "isValid", "isInvalid"]);

  bsPrefix = useBootstrapPrefix(bsPrefix, 'form-select');
  return /*#__PURE__*/React.createElement("select", _extends({}, props, {
    size: htmlSize,
    ref: ref,
    className: classNames(className, bsPrefix, size && bsPrefix + "-" + size, isValid && "is-valid", isInvalid && "is-invalid")
  }));
});
FormSelect.displayName = 'FormSelect';
export default FormSelect;